Browse Source

GNU tar 1.13

Paul Eggert 28 năm trước cách đây
mục cha
commit
51d54e051a
1 tập tin đã thay đổi với 19 bổ sung0 xóa
  1. 19 0
      tests/extrac03.sh

+ 19 - 0
tests/extrac03.sh

@@ -0,0 +1,19 @@
+#! /bin/sh
+# Paths going up and down were inducing extraction loops.
+
+. ./preset
+. $srcdir/before
+
+set -e
+mkdir directory
+tar cfv archive directory/../directory
+echo -----
+tar xfv archive
+
+out="\
+directory/../directory/
+-----
+directory/../directory/
+"
+
+. $srcdir/after